> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List mixtures

GET https://{tenant_name}.benchling.com/api/v2/mixtures

List mixtures

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/mixtures/list-mixtures

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `nextToken` (string, optional)
- `pageSize` (integer, optional, default: 50)
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`, `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`, `name`, `name:asc`, `name:desc`
- `createdAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `name` (string, optional) — Name of a mixture. Restricts results to those with the specified name, alias, or entity registry ID.
- `nameIncludes` (string, optional) — Name substring of a mixture. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.
- `folderId` (string, optional) — ID of a folder. Restricts results to those in the folder.
- `mentionedIn` (string, optional) — Comma-separated list of entry IDs. Restricts results to mixtures mentioned in those entries.
- `projectId` (string, optional) — ID of a project. Restricts results to those in the project.
- `registryId` (string, optional) — ID of a registry. Restricts results to those registered in this registry. Specifying "null" returns unregistered items.
- `schemaId` (string, optional) — ID of a schema. Restricts results to those of the specified schema.
- `schemaFields` (map from string to any, optional) — Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and \<= operators (but not \< or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.
- `archiveReason` (string, optional) — Archive reason. Restricts items to those with the specified archive reason. Use "NOT_ARCHIVED" to filter for unarchived mixtures. Use "ANY_ARCHIVED" to filter for archived mixtures regardless of reason. Use "ANY_ARCHIVED_OR_NOT_ARCHIVED" to return items for both archived and unarchived.
- `mentions` (string, optional) — Comma-separated list of resource IDs. Restricts results to those that mention the given items in the description.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `names.anyOf` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case insensitive. Warning - this filter can be non-performant due to case insensitivity.
- `names.anyOf.caseSensitive` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case sensitive.
- `entityRegistryIds.anyOf` (string, optional) — Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs.
- `ingredientComponentEntityIds` (string, optional) — Comma-separated list of ingredient component entity ids. Matches all mixtures that contain ingredients whose component entities match all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `ingredientComponentEntityIds.anyOf` (string, optional) — Comma-separated list of ingredient component entity ids. Maximum of 100. Matches all mixtures that contain ingredients whose component entities match any of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `authorIds.anyOf` (string, optional) — Comma separated list of user or app IDs. Maximum of 100.

## Response

### 200

OK

- `mixtures` (list of Mixture, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### Mixture

- `aliases` (list of string, optional)
- `allowMeasuredIngredients` (boolean, optional) — Derived from the mixture's schema.
- `amount` (string, optional) — The positive numerical amount value of this mixture in string format (to preserve full precision). Pair with `units`. Supports scientific notation (1.23e4).
- `apiURL` (string, optional) — The canonical url of the Mixture in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `authors` (list of UserSummary, optional)
- `createdAt` (datetime, optional)
- `creator` (MixtureCreator, optional)
- `customFields` (map from string to CustomField, optional)
- `entityRegistryId` (string, optional, nullable)
- `fields` (map from string to Field, optional) — Mixtures can have up to one parent mixture field.
- `folderId` (string, optional, nullable)
- `id` (string, optional)
- `ingredients` (list of Ingredient, optional) — List of ingredients on this mixture.
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `registrationOrigin` (RegistrationOrigin, optional, nullable)
- `registryId` (string, optional, nullable)
- `schema` (SchemaSummary, optional)
- `units` (enum, optional)
  - Allowed values: `nL`, `uL`, `mL`, `L`, `g`, `kg`, `mg`, `ug`, `Units`
- `webURL` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### MixtureCreator

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### CustomField

- `value` (string, optional)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### Ingredient

- `amount` (string, optional, nullable) — The amount value of this ingredient in its mixture, in string format (to preserve full precision). Pair with `units`. Supports scientific notation (1.23e4). One ingredient on this mixture can have an amount value of `"QS"`.
- `catalogIdentifier` (string, optional, nullable)
- `componentEntity` (IngredientComponentEntity, optional) — The entity that uniquely identifies this component.
- `componentLotContainer` (ContainerLabels, optional, nullable) — The container representing the component lot for this ingredient. This is only present if the mixture schema supports component lots in "inventory" format.
- `componentLotEntity` (EntityLabels, optional, nullable) — The entity representing the component lot for this ingredient. This is only present if the mixture schema supports component lots in "inventory" format.
- `componentLotText` (string, optional, nullable) — Text representing the component lot for this ingredient. This is only present if the mixture schema supports component lots in "text" format.
- `hasParent` (boolean, optional)
- `notes` (string, optional, nullable)
- `targetAmount` (string, optional, nullable) — The target amount for this ingredient such that this ingredient's proportion in its mixture would preserve the equivalent ingredient's proportion in the parent mixture. Pair with `units`.
- `units` (enum, optional)
  - Allowed values: `nL`, `uL`, `mL`, `L`, `mg`, `g`, `kg`, `ug`, `Units`, `Cells`, `mol`, `mmol`, `umol`

### RegistrationOrigin

- `originEntryId` (string, optional, nullable)
- `registeredAt` (datetime, optional)

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

### IngredientComponentEntity

The entity that uniquely identifies this component.

- `entityRegistryId` (string, optional, nullable)
- `id` (string, optional)
- `name` (string, optional)

### ContainerLabels

- `barcode` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### EntityLabels

- `entityRegistryId` (string, optional, nullable)
- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "mixtures": [
    {
      "aliases": [
        "FRM000"
      ],
      "allowMeasuredIngredients": true,
      "amount": "123",
      "apiURL": "https://benchling.com/api/v2/mixtures/mxt_xCUXNVyG",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "authors": [
        {
          "handle": "string",
          "id": "string",
          "name": "string"
        }
      ],
      "createdAt": "2017-04-18T05:54:56.247545+00:00",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "customFields": {
        "Legacy ID": {
          "value": "STR100"
        }
      },
      "entityRegistryId": "FRM000",
      "fields": {},
      "folderId": "lib_R8KcsjhW",
      "id": "mxt_xCUXNVyG",
      "ingredients": [
        {
          "amount": "12",
          "catalogIdentifier": "DION_004",
          "componentEntity": {
            "entityRegistryId": "REAG000",
            "id": "bfi_12345",
            "name": "Deionized Water"
          },
          "componentLotContainer": {
            "barcode": "VIAL001",
            "id": "cnt_12345",
            "name": "My Container"
          },
          "componentLotEntity": {
            "entityRegistryId": "REAG000",
            "id": "bfi_12345",
            "name": "Deionized Water"
          },
          "componentLotText": "DION_004-source_001",
          "hasParent": true,
          "notes": "string",
          "targetAmount": "123",
          "units": "mL"
        }
      ],
      "modifiedAt": "2017-04-18T05:55:48.685345+00:00",
      "name": "FRM000",
      "registrationOrigin": {
        "originEntryId": "string",
        "registeredAt": "2024-01-15T09:30:00Z"
      },
      "registryId": "src_NetYd96a",
      "schema": {
        "id": "ts_EM122lfJ",
        "name": "Prep"
      },
      "units": "L",
      "webURL": "https://benchling.com/benchling/f/R8KcsjhW-academic-registry/mxt-xCUXNVyG-sbn000/edit"
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/mixtures"

querystring = {"archiveReason":"NOT_ARCHIVED","createdAt":"> 2022-03-01 AND < 2022-04-01","modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/mixtures?archiveReason=NOT_ARCHIVED&createdAt=%3E+2022-03-01+AND+%3C+2022-04-01&modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```